package com.wxpn.tutorial.servlet;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * ÃèÊö: ÃèÊöÁôÑÔÐÅÏ¢Àà
 * 
 * @Copyright (c) 2005-2008 Wang Xining
 * @author ÍõÏ¦Äþ
 * @version 1.0
 */

public class MessageBoard {
	private int mb_id;

	private String mb_title;

	private String mb_content;

	private String author;

	private Date compose_date;

	private String strCompose_date;

	public String getAuthor() {
		return author;
	}

	public void setAuthor(String author) {
		this.author = author;
	}

	public Date getCompose_date() {
		return compose_date;
	}

	public void setCompose_date(Date compose_date) {
		this.compose_date = compose_date;
	}

	public String getMb_content() {
		return mb_content;
	}

	public void setMb_content(String mb_content) {
		this.mb_content = mb_content;
	}

	public int getMb_id() {
		return mb_id;
	}

	public void setMb_id(int mb_id) {
		this.mb_id = mb_id;
	}

	public String getMb_title() {
		return mb_title;
	}

	public void setMb_title(String mb_title) {
		this.mb_title = mb_title;
	}

	public String getStrCompose_date() {
		String strCompose_date = "";
		if (getCompose_date() != null) {
			SimpleDateFormat simpledate = new SimpleDateFormat(
					"yyyy-MM-dd HH:mm:ss");
			strCompose_date = simpledate.format(getCompose_date());
		}
		return strCompose_date;
	}

	public void setStrCompose_date(String strCompose_date) {
		this.strCompose_date = strCompose_date;
	}
}
